roartestclients(1)

NAME

roarcat2sock, roarcatad, roarsin, roarsockconnect - RoarAudio sound server test clients

SYNOPSIS

roarcat2sock [OPTIONS]...

roarcatad [OPTIONS]...

roarsin

roarsockconnect HOST PORT

DESCRIPTION
This clients are primary for test perpose but may be useful for someone or can be used as examples.

roarcat2sock
    This is the same as roarcat(1) but uses roar_simple_new_stream(3) to open the audio stream.

roarcatad
    This is also the same as roarcat(1) but uses roar_stream_add_data(3) to fill the server's input buffer.

roarsin
    This is the complete version of the sinus generator from roartut(7). It plays a 5 second middle C (523.2Hz) sine.

roarsockconnect
    This is just a test tool connecting somewhere via roar_socket_connect(3). First the data of stdin is copied to the socket than the data from the socket to stdout. It's a very simlple semi-bi-directional version of netcat(1).

GENERAL OPTIONS
NOTE: This list is incomplete!

--help
    Print some help text.

AUDIO OPTIONS

--rate RATE, -R RATE
    Set server sample rate.

--bits BITS, -B BITS
    Set server bits.

--chans CHANNELS, -C CHANNELS
    Set server channels.

NETWORK OPTIONS

--server SERVER
    The server to connect to

ENVIRONMENT VARIABLES
Below only the basic environment variables are listend. For a complete list see libroar(7).

HOME
    The users home directory.

ROAR_SERVER
    The address of the listening server. This may be in form of host:port for TCP/IP connections and /path/to/sock for UNIX Domain Sockets. See roartips(7) for a full list. This is the same as the --server option.

BUGS
There are a lot of bugs...

SEE ALSO
roarctl(1), roarvorbis(1), roarfish(1), roarbaseclients(1), roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).